<?xml version="1.0" encoding="UTF-8"?>
<!-- track length: 2.5 mi = 4022 m -->

<!--
file                : Daytona.xml
auto generated      : by Track Editor
version             : v 0.6.0 24/4/2005
copyright           : (C) 2005 by Charalampos Alexopoulos
email               :
-->
<!--
This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
-->

<!-- $Id$ -->


<!DOCTYPE params SYSTEM "../../../src/libs/tgf/params.dtd" [
<!--  general definitions for tracks  -->
<!ENTITY default-surfaces SYSTEM "../../../data/tracks/surfaces.xml">
]>

<params name="Daytona Superspeedway" type="trackdef" mode="mw">
    <section name="Surfaces">
        &default-surfaces;

		<section name="asphalt-bw-d1">
			<attnum name="color R1" val="0.1"/>
			<attnum name="color G1" val="0.1"/>
			<attnum name="color B1" val="0.1"/>
			<attnum name="color R2" val="0.2"/>
			<attnum name="color G2" val="0.2"/>
			<attnum name="color B2" val="0.2"/>
			<attstr name="texture name" val="asphalt-bw-d1-1_n.rgb"/>
			<attstr name="texture type" in="discrete, continuous" val="discrete"/>
			<attnum name="texture size" val="18.0001" unit="m"/>
			<attnum name="texture mipmap" val="0.0" unit="m"/>
						
			<attnum name="friction"           val="1.05"/>
			<attnum name="rolling resistance" val="0.001"/>

			<attnum name="roughness" val="0.0005"/>
			<attnum name="roughness wavelength" val="1.0"/>
		</section>
    </section>

    <section name="Header">
        <attstr name="name" val="Daytona" />
        <attstr name="category" val="oval" />
        <attnum name="version" val="4" />
        <attstr name="author" val="kilo" />
        <attstr name="description" val="Daytona Superspeedway" />
    </section>

    <section name="Graphic">
        <attstr name="3d description" val="daytona.ac" />
        <section name="Terrain Generation">
            <attnum name="track step" unit="m" val="20" />
            <attnum name="border margin" unit="m" val="300" />
            <attnum name="border step" unit="m" val="50" />
            <attnum name="border height" unit="m" val="1" />
            <attstr name="orientation" val="clockwise" />
            <attstr name="surface" val="grass6" />
        </section>
    </section>

    <section name="Main Track">
        <attnum name="width" unit="m" val="12.2" />
        <attnum name="profil steps length" unit="m" val="4.0" />

        <section name="Pits">
            <attstr name="side" val="left" />
            <attstr name="entry" val="straight4" />
            <attstr name="start" val="straight4" />
            <attstr name="end" val="straight5" />
            <attstr name="exit" val="straight5" />
            <attnum name="length" unit="m" val="15.0" />
            <attnum name="width" unit="m" val="5.0" />
        </section>

        <section name="Track Segments">
            <section name="curve1">
                <attstr name="type" val="lft" />
                <attnum name="arc" unit="deg" val="22.0" />
                <attnum name="radius" unit="m" val="586.2" />
                <attnum name="banking start" unit="deg" val="-18"/>
                <attnum name="banking end" unit="deg" val="-5"/>
                <attstr name="surface" val="asphalt-bw-d1" />

                <section name="Left Border">
                    <attnum name="width" unit="m" val="4.0" />
                    <attnum name="height" unit="m" val="0.0" />
                    <attstr name="surface" val="concrete2" />
                    <attstr name="style" val="plan" />
                </section>
                <section name="Left Side">
                    <attnum name="start width" unit="m" val="12.0" />
                    <attnum name="end width" unit="m" val="12.0" />
                    <attstr name="surface" val="grass" />
                </section>
                <section name="Left Barrier">
                    <attnum name="width" unit="m" val="0.5" />
                    <attnum name="height" unit="m" val="1.0" />
                    <attstr name="surface" val="barrier-grille" />
                    <attstr name="style" val="fence" />
                </section>
                <section name="Right Border">
                    <attnum name="width" unit="m" val="0.0" />
                    <attnum name="height" unit="m" val="0.0" />
                    <attstr name="surface" val="curb-5cm-r" />
                    <attstr name="style" val="plan" />
                </section>
                <section name="Right Side">
                    <attnum name="start width" unit="m" val="0.0" />
                    <attnum name="end width" unit="m" val="0.0" />
                    <attstr name="surface" val="grass" />
                </section>
                <section name="Right Barrier">
                    <attnum name="width" unit="m" val="0.5" />
                    <attnum name="height" unit="m" val="1.0" />
                    <attstr name="surface" val="wall" />
                    <attstr name="style" val="wall" />
                </section>
            </section>

            <section name="straight1">
                <attstr name="type" val="str" />
                <attnum name="lg" unit="m" val="66.1" />
                <attnum name="banking start" unit="deg" val="-5"/>
                <attnum name="banking end" unit="deg" val="-2"/>
            </section>

            <section name="straight2">
                <attstr name="type" val="str" />
                <attnum name="lg" unit="m" val="352.6" />
                <attnum name="banking start" unit="deg" val="-2"/>
                <attnum name="banking end" unit="deg" val="-5"/>
            </section>

            <section name="curve2">
                <attstr name="type" val="lft" />
                <attnum name="arc" unit="deg" val="79.0" />
                <attnum name="radius" unit="m" val="318.5" />
                <attnum name="banking start" unit="deg" val="-5"/>
                <attnum name="banking end" unit="deg" val="-20"/>
            </section>

            <section name="curve3">
                <attstr name="type" val="lft" />
                <attnum name="arc" unit="deg" val="79.0" />
                <attnum name="radius" unit="m" val="318.5" />
                <attnum name="banking start" unit="deg" val="-20"/>
                <attnum name="banking end" unit="deg" val="-5"/>
            </section>

            <section name="straight3">
                <attstr name="type" val="str" />
                <attnum name="lg" unit="m" val="977.08" />
                <attnum name="banking start" unit="deg" val="-5"/>
                <attnum name="banking end" unit="deg" val="-5"/>
            </section>

            <section name="curve4">
                <attstr name="type" val="lft" />
                <attnum name="arc" unit="deg" val="79.0" />
                <attnum name="radius" unit="m" val="318.5" />
                <attnum name="banking start" unit="deg" val="-5"/>
                <attnum name="banking end" unit="deg" val="-20"/>
            </section>

            <section name="curve5">
                <attstr name="type" val="lft" />
                <attnum name="arc" unit="deg" val="79.0" />
                <attnum name="radius" unit="m" val="318.5" />
                <attnum name="banking start" unit="deg" val="-20"/>
                <attnum name="banking end" unit="deg" val="-5"/>
            </section>

            <section name="straight4">
                <attstr name="type" val="str" />
                <attnum name="lg" unit="m" val="352.7" />
                <attnum name="banking start" unit="deg" val="-5"/>
                <attnum name="banking end" unit="deg" val="-2"/>
                <section name="Left Side">
                    <attnum name="start width" unit="m" val="12.0" />
                    <attnum name="end width" unit="m" val="12.0" />
                    <attstr name="surface" val="concrete2" />
                </section>
            </section>

            <section name="straight5">
                <attstr name="type" val="str" />
                <attnum name="lg" unit="m" val="66.1" />
                <attnum name="banking start" unit="deg" val="-2"/>
                <attnum name="banking end" unit="deg" val="-5"/>
            </section>

            <section name="curve6">
                <attstr name="type" val="lft" />
                <attnum name="arc" unit="deg" val="22.0" />
                <attnum name="radius" unit="m" val="586.2" />
                <attnum name="banking start" unit="deg" val="-5"/>
                <attnum name="banking end" unit="deg" val="-18"/>
                <section name="Left Side">
                    <attnum name="start width" unit="m" val="12.0" />
                    <attnum name="end width" unit="m" val="12.0" />
                    <attstr name="surface" val="grass" />
                </section>
            </section>
        </section>
    </section>
</params>
